commit 7505588d95f48dda4507b8057a8c9a1344f30652
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 18 09:47:46 2025 -0700

    sessreg 1.1.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 92185f8b7ca6c6d993741d3df1deac1771b424db
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 27 09:59:13 2025 -0700

    man pages: fix warnings from `mandoc -T lint` and `groff -rCHECKSTYLE=10`
    
    mandoc: man1/sessreg.1:25:15: WARNING: cannot parse date, using it verbatim: TH sessreg 1.1.3
    mandoc: man1/sessreg.1:45:2: WARNING: skipping paragraph macro: PP after SH
    mandoc: man1/sessreg.1:58:2: WARNING: skipping paragraph macro: PP after SH
    an.tmac:man1/sessreg.1:61: style: blank line in input
    an.tmac:man1/sessreg.1:63: style: blank line in input
    an.tmac:man1/sessreg.1:67: style: blank line in input
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/sessreg/-/merge_requests/9>

commit afbb56ba279c67047881c0f4c02f4fe25f1485ff
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 29 16:43:35 2025 -0700

    Improve man page formatting
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/sessreg/-/merge_requests/8>

commit 7570020a7dd3ec216338bdf5e9df1336c9291d54
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 22 16:14:22 2025 -0700

    Add --help and --version options
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/sessreg/-/merge_requests/7>

commit 1ec7950be999790300d6a0e8ec464871b66af56a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Feb 27 18:27:51 2025 -0800

    meson: Add option to build with meson
    
    Also updates the gitlab CI config to test both build types
    and compare the generated output/installed files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Part-of: <https://gitlab.freedesktop.org/xorg/app/sessreg/-/merge_requests/6>

commit 498db3a831ac76b487cfec86492ebc54e0e25bb4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Feb 25 08:55:47 2023 -0800

    Remove "All rights reserved" from Oracle copyright notices
    
    Oracle no longer includes this term in our copyright & license notices.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1649c040f8123b96a9a5f1784555d433b07d09e6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 29 10:51:07 2022 -0700

    sessreg 1.1.3
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1649bbf0300c086d98b855c03b1867e962883e9a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 15 09:29:35 2022 -0700

    Fix -Wstringop-truncation warnings in safe_strncpy()
    
    In function ‘safe_strncpy’,
        inlined from ‘set_utmpx’ at sessreg.c:540:3,
        inlined from ‘main’ at sessreg.c:357:2:
    sessreg.c:204:11: warning: ‘strncpy’ specified bound 32 equals destination size [-Wstringop-truncation]
      204 |     (void)strncpy(dest, src, n);
          |           ^~~~~~~~~~~~~~~~~~~~~
    In function ‘safe_strncpy’,
        inlined from ‘set_utmpx’ at sessreg.c:530:4,
        inlined from ‘main’ at sessreg.c:357:2:
    sessreg.c:204:11: warning: ‘strncpy’ specified bound 32 equals destination size [-Wstringop-truncation]
      204 |     (void)strncpy(dest, src, n);
          |           ^~~~~~~~~~~~~~~~~~~~~
    In function ‘safe_strncpy’,
        inlined from ‘set_utmpx’ at sessreg.c:532:3,
        inlined from ‘main’ at sessreg.c:357:2:
    sessreg.c:204:11: warning: ‘strncpy’ specified bound 257 equals destination size [-Wstringop-truncation]
      204 |     (void)strncpy(dest, src, n);
          |           ^~~~~~~~~~~~~~~~~~~~~
    In function ‘safe_strncpy’,
        inlined from ‘set_utmpx’ at sessreg.c:540:3,
        inlined from ‘main’ at sessreg.c:357:2:
    sessreg.c:204:11: warning: ‘strncpy’ specified bound 32 equals destination size [-Wstringop-truncation]
      204 |     (void)strncpy(dest, src, n);
          |           ^~~~~~~~~~~~~~~~~~~~~
    In function ‘safe_strncpy’,
        inlined from ‘main’ at sessreg.c:423:5:
    sessreg.c:204:11: warning: ‘strncpy’ specified bound 8 equals destination size [-Wstringop-truncation]
      204 |     (void)strncpy(dest, src, n);
          |           ^~~~~~~~~~~~~~~~~~~~~
    In function ‘safe_strncpy’,
        inlined from ‘main’ at sessreg.c:425:5:
    sessreg.c:204:11: warning: ‘strncpy’ specified bound 16 equals destination size [-Wstringop-truncation]
      204 |     (void)strncpy(dest, src, n);
          |           ^~~~~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5e791f5e412de52c2e110c38f3091102afb4a8a0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jul 28 17:30:21 2022 -0700

    gitlab CI: stop requiring Signed-off-by in commits
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit f25e9a59be6b25d52e35036bb357c14f86155df8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:32:40 2021 -0800

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit a96dae0fa4754875d71a73e212faeb60516f11b8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 3 16:32:34 2021 -0800

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3d66d6c70b33380ae4d3008ce62971825da8e8fb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Nov 28 14:53:09 2021 -0800

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 3a91ab7d228f4c1a28970e447cff7d1a960db2fe
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 11:39:22 2019 -0700

    sessreg 1.1.2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 600d183bf6f6967b53a3f2a0e31e8d90a5c13f18
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 9 11:08:08 2019 -0700

    Add comment about why safe_strncpy isn't replaced with strlcpy
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b403d124c32c20fddc73bc5ae3c7e1febdf1bc4
Author: Fabrice Fontaine <fontaine.fabrice@gmail.com>
Date:   Fri May 3 07:48:06 2019 +0200

    Fix missing defines _PATH_WTMPX/_PATH_UTMPX in musl
    
    Downloaded from
    https://cgit.gentoo.org/proj/musl.git/tree/x11-apps/sessreg/files/sessreg-1.1.0-missing_path_wtmpx.patch
    
    Signed-off-by: Bernd Kuhls <bernd.kuhls@t-online.de>
    [Retrieved from:
    https://git.buildroot.net/buildroot/tree/package/x11r7/xapp_sessreg/0001-missing_path_wtmpx.patch]
    Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

commit fd3c8491d9dbe20bab67dfc19ebcfe763e9a01d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:56:46 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8c8e2321127d54e2729d4dc2cd08e8f34c35071e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 20:44:21 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 653dc1e61cd9d4d4921158a2c5dec49962bb9f0a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 12 14:46:05 2018 +1000

    Replace strncpy calls with a sane version that always terminates
    
    Fixes coverity complaints about potentially unterminated strings
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5457109783ee82599aeb6c6a690cc921a881d6bf
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Feb 27 18:25:03 2017 -0800

    sessreg 1.1.1
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 77befa7b9af5c69d1b715cba925f6e1e5e62ce68
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 7ebff8dedf3a0d67c475a1e216a0fb056e053c4e
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 37d8e5a28003e26b39e0fa6322acf8bcb8ca1823
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit eb41dc747ec4b0b4c40d6482081a0c7782dca8d9
Author: Egbert Eich <eich@suse.de>
Date:   Sun May 29 23:56:29 2016 +0200

    Use off_t instead of long to make largefile support work
    
    We already use the macro AC_SYS_LARGEFILE in configure.ac. This will only
    work properly if the correct types are used as well: replace long by off_t
    when calculating file offsets - which makes a difference on 32-bit systems.
    
    http://bugzilla.opensuse.org/show_bug.cgi?id=981522
    
    Signed-off-by: Egbert Eich <eich@suse.de>
    Found-by: Herbert Kütz <herbert.kuetz@ofd-z.niedersachsen.de>
    Reviewed-by: Stefan Dirsch <sndirsch@suse.de>

commit 93f5d5abf6b214a4b36e00cd09174d24b2ed0a6d
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Wed Sep 9 23:44:06 2015 +0200

    Pass -P to the preprocessor when generating filenames for the manpage.
    
    Fixes build with GCC 5. Patch by Richard Biener <rguenther@suse.com>
    
    Tested-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 0f904e33d53b0102e53685184bb59005be40fcf7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jan 19 21:00:17 2015 -0800

    sessreg 1.1.0
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 53ad5afe30a75c27604648912c57e5beeb77cca7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 14 15:22:25 2014 -0800

    Include utmp.h if present, even if we're using utmpx interfaces
    
    For platforms which require type or structure definitions from utmp.h
    when using lastlog or utmpx/wtmpx interfaces.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8fb21bdf15185e18e44b5dab6740720a50b9f0c9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 4 18:32:07 2014 -0800

    Attempt to modernize and better disentangle utmp vs. utmpx in the man page
    
    Also reduces the number of references to BSD vs. System V differences
    from the early 90's which are no longer relevant today.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e9d23df81ae6e5beb79237cb13b555ed689b1a76
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 4 16:31:31 2014 -0800

    Stop disabling utmpx & wtmpx calls when -u & -w arguments are passed
    
    The handling of the -u & -w flags would only set utmp_file & wtmp_file,
    leaving utmpx_file & wtmpx_file set to NULL, disabling the calls to the
    code to update those files.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 929b2f60c36b80b7a8e6237d5e8ccc981a3a1e0d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Tue Nov 4 16:27:57 2014 -0800

    If both utmp & utmpx interfaces are available, just use utmpx
    
    As we already do with wtmp & wtmpx, where only one of the interface sets
    is compiled in at a time, stop building & potentially calling both the
    utmp & utmpx interfaces, which could lead to confusion and corruption,
    especially when xdm passed -u /.../utmpx and sessreg wrote utmp format
    records to the file instead.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0a234ecc502b3e08d8f81d51fb724d97e8045504
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 3 20:04:31 2014 -0800

    Zero initialize struct utmpx, as we already do for struct utmp
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1dacc4b5554f794f8219356a0d2bd2dc6a499160
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 3 18:57:20 2014 -0800

    Print which option was in error along with usage message
    
    In the process, try to make the code a little less painful to read.
    Still, no love to whomever came up with (*++*a) style coding.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e73a94da99c25dc705be814fb18c306e9301a135
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 21:14:21 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5f54e23a2adf7342c50a0d910760698b95fd2b97
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Jun 2 21:14:21 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d9c8df5bea05c2c4923fd985ce274104b42efeb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Feb 10 18:43:41 2013 -0800

    sessreg 1.0.8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ec158dea0bdc8bf4767fe048056178a823a2033b
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 16:37:00 2013 -0800

    Add -V option to print version number
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 64db372b4988e4862acb328492b7bbe14851ebe0
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jan 19 16:32:15 2013 -0800

    Combine usage message into a single string
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 64e773800f70a4e9ebc0e606150beaff9b839fd9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Dec 16 12:46:50 2012 -0800

    Fix some clang warnings about implicit conversions
    
    sessreg.c:360:43: warning: implicit conversion changes signedness:
          'unsigned long' to 'off_t' (aka 'long') [-Wsign-conversion]
                            sysnerr (lseek(llog, (long) pwd->pw_uid*sizeof(ll), 0)
                                     ~~~~~       ~~~~~~~~~~~~~~~~~~^~~~~~~~~~~
    sessreg.c:360:25: warning: implicit conversion changes signedness: 'long' to
          'unsigned long' [-Wsign-conversion]
                            sysnerr (lseek(llog, (long) pwd->pw_uid*sizeof(ll), 0)
                                                 ^~~~~~~~~~~~~~~~~~~
    
    sessreg.c:405:7: warning: implicit conversion loses integer precision: 'size_t'
          (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
                    i = strlen (line);
                      ~ ^~~~~~~~~~~~~
    sessreg.c:406:9: warning: comparison of integers of different signs: 'int' and
          'unsigned long' [-Wsign-compare]
                    if (i >= sizeof (u->ut_id))
                        ~ ^  ~~~~~~~~~~~~~~~~~
    
    sessreg.c:494:7: warning: implicit conversion loses integer precision: 'size_t'
          (aka 'unsigned long') to 'int' [-Wshorten-64-to-32]
                    i = strlen (line);
                      ~ ^~~~~~~~~~~~~
    sessreg.c:495:9: warning: comparison of integers of different signs: 'int' and
          'unsigned long' [-Wsign-compare]
                    if (i >= sizeof (u->ut_id))
                        ~ ^  ~~~~~~~~~~~~~~~~~
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 88bf1500095d7aaea9689a6d0367d6ff5c868292
Author: Ed Schouten <ed@80386.nl>
Date:   Sat Sep 15 20:27:57 2012 +0200

    Remove dubious code.
    
    The NO_UTMP definition is set on non-FreeBSD, non-OpenBSD, BSD-based
    systems. When looking at the commonly used BSD-based operating systems,
    they either use utmpx, or I can't think of a reason why the utmp code
    wouldn't work.
    
    If it turns out some obscure operating system breaks because of this
    change, we should replace this by something more accurate, such as an
    Autoconf check or an #ifdef specific to that operating system.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d6570f5188ac8b223a2ae8d1ef596f313938acca
Author: Ed Schouten <ed@80386.nl>
Date:   Sat Sep 15 20:26:57 2012 +0200

    Make the `line' variable local to main().
    
    It is only used within main(). This prevents a compilation failure when
    building with -Wshadow.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8963bc3df6d3e9627c82171c3c931616f27fd528
Author: Ed Schouten <ed@80386.nl>
Date:   Sat Sep 15 20:11:20 2012 +0200

    Place NetBSD specific #defines in the proper place.
    
    For all the other databases (utmp, wtmp, lastlog) we already do it in
    sessreg.h. There's no reason why we should place the utmpx specific ones
    in sessreg.c.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1d609a5daa3fa1553111076561a1f800e462156d
Author: Thomas Klausner <tk@giga.or.at>
Date:   Fri Jun 15 11:36:07 2012 +0200

    Fix compilation on NetBSD - undefined *TMPX paths
    
    Make sure file name defines exist on NetBSD.
    https://bugs.freedesktop.org/show_bug.cgi?id=50940
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7ac51a652bfb8423604bb1a120568d44516c9de9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Oct 21 21:09:43 2011 -0700

    sessreg 1.0.7
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit fbe6fa7019309672c311184dd3bce3c25fb578d3
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Sep 26 16:01:40 2011 -0700

    Add const attributes to fix gcc -Wwrite-strings warnings
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 18d68ce74bd810bc09f99a476798b8e4a66ec494
Author: Ed Schouten <ed@80386.nl>
Date:   Sun Jun 26 14:04:20 2011 +0200

    Make lastlog work on BSD systems without <lastlog.h>.
    
    FreeBSD 8.x and lower have struct lastlog in <utmp.h>. Add a specific
    Autoconf check for struct lastlog, where we include both <utmp.h> and
    <lastlog.h>.
    
    Also, change NO_LASTLOG to a definition for the opposite; USE_LASTLOG.
    This is more consistent with USE_UTMP and USE_UTMPX.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9e93c5f65a22824f6b4af7ee68944f2226f7efa7
Author: Ed Schouten <ed@80386.nl>
Date:   Sun Jun 26 13:50:36 2011 +0200

    Simply define LLOG_FILE and TTYS_FILE unconditionally.
    
    It doesn't matter if we define these pathnames, even if we're not going
    to use them in the code itself. It is already done that way for utmp and
    wtmp.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 92d2628e3b1db4b0217d91d532e21018371445bc
Author: Ed Schouten <ed@80386.nl>
Date:   Sun Jun 26 10:15:59 2011 +0200

    Fix whitespace inconsistencies.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 38dd87854f106f6d7a3c8bd8916b65c0d1a87697
Author: Ed Schouten <ed@80386.nl>
Date:   Sun Jun 26 09:51:01 2011 +0200

    Just use time_t directly.
    
    There is no use for this #define (anymore). We can already assume that
    any decent system has time_t defined. It has to, otherwise struct utmp
    and struct utmpx can't even be defined.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6675a07badfb688aacbd8fd12ba55e16854ba0ab
Author: Ed Schouten <ed@80386.nl>
Date:   Sun Jun 26 09:47:40 2011 +0200

    Only expose the sflag variable when needed.
    
    The sflag variable is only used when using BSD-style utmp.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6b9a2f7bfa823a3dc0befd039ee08ec1596a3c64
Author: Ed Schouten <ed@80386.nl>
Date:   Sun Jun 26 09:43:37 2011 +0200

    Get rid of SYSV definition. Just check for pututline().
    
    If the system provides pututline(), we just want to use that, instead of
    specifically checking for certain operating systems.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 578b76086edb834aa447ce9aed60c585e44e6cc1
Author: Ed Schouten <ed@80386.nl>
Date:   Sat Jun 25 10:35:25 2011 +0200

    Don't forget to include <sys/types.h> before <utmp.h>.
    
    Some operating systems (e.g. FreeBSD) require <sys/types.h> to be
    included before <utmp.h>, because they depend on type definitions such
    as int32_t, time_t, etc.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit dd5d4c9721417a21133bb44a0567a041a166bd5e
Author: Ed Schouten <ed@80386.nl>
Date:   Fri Jun 24 15:52:18 2011 +0200

    Get rid of bzero() calls. Replace them by memset().
    
    bzero() is not part of POSIX; memset() is.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 301cbd433bb698147e05e7dbfb4de2ce2e0e9cbb
Author: Ed Schouten <ed@80386.nl>
Date:   Fri Jun 24 15:46:43 2011 +0200

    Use Autoconf to check for utmp field existence.
    
    Don't use the quirky SYSV and __QNX__ definitions to determine whether
    the utmp fields exist.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit eb6eb771ff9f53c56bd60f28c5598eee9e2fb9b2
Author: Ed Schouten <ed@80386.nl>
Date:   Wed Jun 22 00:36:41 2011 +0200

    Only split off /dev/ instead trimming to last /.
    
    This prevents pseudo-terminals with names like /dev/pts/0 from getting
    trimmed to just 0 instead of pts/0.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aad7bed11410413b186e0d5af1783686405b47e6
Author: Ed Schouten <ed@80386.nl>
Date:   Wed Jun 22 00:10:17 2011 +0200

    Fix typo in function name check.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1e20098384961230c3652078fed09e77b2ba2808
Author: Ed Schouten <ed@80386.nl>
Date:   Wed Jun 22 00:09:59 2011 +0200

    Correct whitespace and indentation.
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ba2ea124ff10cadaf1fc96f7e76372b5400e76d1
Author: Jon TURNEY <jon.turney@dronecode.org.uk>
Date:   Mon Mar 14 14:25:22 2011 +0000

    Fix non-srcdir builds
    
    Commit 3bb9256b8e3a56b94281ea787c07f080c0a80312 introduces an
    -I.. which should be -I$(top_builddir) -I$(top_srcdir)
    
    Signed-off-by: Jon TURNEY <jon.turney@dronecode.org.uk>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 5a886e2fc5f4b3f062a20f66ee68bad4a0b98ad1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 11:20:21 2011 -0500

    config: use AC_CHECK_MEMBERS rather than AC_CHECK_MEMBER
    
    Let Autoconf do the work of setting up the #define in config.h.
    Apply and comment standard sections layout.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4eaaa6a84a52b7c60df964102f0fb8d860b00308
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:52:55 2011 -0500

    config: remove AC_CANONICAL_HOST already included by XORG_DEFAULT_OPTIONS
    
    Fix some quoting and comments, no functional changes.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3bb9256b8e3a56b94281ea787c07f080c0a80312
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f9d0aa7ca56c68aee0ba53a9ad9c232c544264b0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3ad465bf134560234e75bf421acbe1481bccfde4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:47 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d3055b5828d5ffd92134de31c44c3d14f6bd283d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 10 21:08:09 2010 -0800

    config: Remove unnecessary calls from configure.ac
    
    AC_PROG_CC & AC_PROG_INSTALL are provided by XORG_DEFAULT_OPTIONS now
    PKG_CONFIG_MODULES handles AC_SUBST of the CFLAGS & LIBS variables
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2d33ed0f648314f661aa5e429834a8f886904f94
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 10 21:06:15 2010 -0800

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    Enables use of platform appropriate version of sed.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 87666632a0f066cb9df3fb4ae258f89f1edb56cc
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 10 21:03:59 2010 -0800

    Sun's copyrights belong to Oracle now
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 7f1e17aed0027e4040a1fcc96e6319fca36af233
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Thu Jun 3 17:32:57 2010 -0700

    sessreg 1.0.6
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8808c476319fce3e254e3a7df3205ba4205cb13b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 3 14:12:28 2010 -0500

    Add AC_USE_SYSTEM_EXTENSIONS providing needed WTMPX_FILE define
    
    The WTMPX_FILE is only defined under __USE_GNU conditional
    compilation. Autoconf provides AC_USE_SYSTEM_EXTENSIONS
    to enable platform extensions.
    
    It must be expanded before any other macros that uses the compiler.
    To reduce the risk of being misplaced, the statements have been
    grouped (mostly) as per the GNU standard layout.This macro
    requires Autoconf level 2.60 or later.
    
    The compilation failed under a GNU-Linux OS.
    
    Tested-by (on darwin): Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9792646873ac0e597cc65ef4a056444fd8f9a7fd
Author: Ed Schouten <ed@80386.nl>
Date:   Sat Jan 16 18:33:53 2010 +0000

    Allow sessreg to be built without <utmp.h>.
    
    As of 9.0, FreeBSD will only support <utmpx.h>.  It only implements the
    POSIX interface with minor extensions.  There is no need to write to
    wtmp and lastlog separately, because this is already done by
    pututxline().  Add additional checks to configure.ac to search for the
    presence of utmpxname() and updwtmpx().
    
    Signed-off-by: Ed Schouten <ed@80386.nl>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 9ca078f8ffc5ab0c4d0f58be26e885a7ad0b8f39
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jan 11 21:04:28 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 1b12b1dac6fcb0d1665f3272a899d78c76fd2969
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jan 8 13:30:45 2010 -0500

    COPYING: add missing copyright notice
    
    Refer to sessreg.h file.
    Copyright 2005 Sun Microsystems, Inc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 067fef75045931b4b5766ee7e55300d16e6dcc9a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 94be0a4794dd9e9d9e7f23737c6ccd2d50985b5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 88252d8bdccbf5dd3ee077345ccd1569fb4f10e6
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:38 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit 9ea98936be23de9a2d9e27c5f5af93b0eea276d9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit eb6ef63fb284cc91c04dcb68fda2ad8ca6fe0e1a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 11:11:42 2009 -0700

    sessreg 1.0.5
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 46646524a74c1834de103a2f469142ab50f6bfd6
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 11:03:01 2009 -0700

    Document -L option for lastlog files
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit a594e318996d0e8c02018eef1837135b382076c5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 10:50:51 2009 -0700

    Add utmp/utmpx man page to See Also section of man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit be736ebbfc5510997ae227e903a5b9d66ba0ee1a
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Oct 12 10:44:07 2009 -0700

    Migrate to xorg macros 1.3 & XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit ebc9f3d2483623dcb2ccca7f12cc2769173eb4a9
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:19 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 3ba14d85abede72a40c5ba8fe18d1a2e1625d19e
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 19 15:47:29 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit 3db21d655b0a2988ae0fd47e360d29bb8763cd03
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 11 14:46:29 2008 -0700

    Version bump: 1.0.4

commit accc7988851b983d1589d64e32a707c0b44fee0e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Jun 11 14:44:10 2008 -0700

    X_NOT_POSIX bits for pre-POSIX-1990 systems not needed any more

commit c9973031a696cc00c509d7013145b1116093bf82
Author: David Nusinow <dnusinow@debian.org>
Date:   Sat Mar 1 13:53:21 2008 -0500

    Require xproto instead of libX11 for building (bug #9631)

commit a888e809b4e1c9576e667cb50cc62009a1bf391e
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Dec 6 15:51:04 2007 -0500

    Add missing PHONY line for automatic ChangeLog generation

commit da1b5f42fcb1bd0bc9b80f6f1ab7ebb9eb506554
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 17 14:30:31 2007 -0700

    Version bump: 1.0.3

commit 12982c07b44c15a621fc548a4448f9a04bf5907e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Aug 16 17:17:06 2007 -0700

    Change sessreg_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit 136525f01e4ce8e60e8c78b44654d8f6861233d2
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Mon Jun 11 16:38:00 2007 -0700

    X.Org Bug #9887: sessreg should include sys/types.h on FreeBSD
    
    X.Org Bugzilla #9887: <https://bugs.freedesktop.org/show_bug.cgi?id=9887>

commit 9b2ddf6c779553c2cb5e185d2046e8817a89e03e
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Nov 30 19:44:25 2006 +0200

    bump to 1.0.3

commit 05d36d40bb2018a96cdd1345a390db3fbff0fd65
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Nov 19 17:32:07 2006 +0100

    include <time.h> before <utmp.h>. Required on some systems.

commit 37e89cbf2bc3b6266fa47ff1f956d173658bb9a5
Author: J�rg Billeter <j@bitron.ch>
Date:   Thu Nov 9 13:21:55 2006 +0100

    Fix grep pattern in Makefile.am
    
    Don't escape | in basic regex mode as it breaks build with GNU grep.

commit 6fc58644148039261c21f699a14c839356f501ed
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 8 15:38:21 2006 -0800

    Version bump to 1.0.1

commit 82fbb553114e8d00b6b3886aee4554dfd178cb01
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 8 13:51:50 2006 -0800

    Improve formatting of file names in sessreg.man

commit 02379845b074cb252c0cb42d18c6cb8effcdc9f5
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Wed Nov 8 13:48:05 2006 -0800

    Fix builds when $(srcdir) != $(objdir)

commit c472f5f9257e6dcb9e82042a99ef028e3390e93e
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 18:46:11 2006 -0800

    Replace static ChangeLog with dist-hook to generate from git log

commit aa27f60ff70230990bd7351bbfda3d38f95afe3b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 18:39:58 2006 -0800

    Add hooks for checking code with lint/sparse/etc.

commit fd251f039f74f2ef8ef8a019566eebf9d22be098
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 18:32:54 2006 -0800

    Clear unused variable warnings from lint

commit 21bee0694be43d4be1d93a8bcafbcd0f0ef9a9b4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 18:28:20 2006 -0800

    AC_CHECK_MEMBER needs to include <utmpx.h> when checking for  utmpx.ut_syslen

commit 63f21c67aa6d025d8fa06793dc7f83f37e7c3fb4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 18:27:45 2006 -0800

    Substitute correct pathnames for utmp/wtmp files in man pages
    
    ifdefs to find the paths on each platform have been broken out into a new
    sessreg.h header that is also preprocessed into sed rules applied to the
    man page.    Old ifdefs left for Imake compatibility in the 6.9/7.0 hybrid
    release have been dropped now that autoconf is required to build.

commit 98a651ec2ac289b966e0a09557e81b33e202ee9c
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 16:49:53 2006 -0800

    Add *~ to .gitignore to skip emacs/patch droppings

commit 5d7eed376aa9e8e623b0c46790a70b0cb3278207
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 16:49:26 2006 -0800

    renamed: .cvsignore -> .gitignore

commit de39e20707b0affebf4c4c0e8485bdf08cf88a82
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Tue Nov 7 16:48:27 2006 -0800

    List default Xservers path as /etc/X11/xdm instead of /usr/X11R6/lib/xdm

commit 8e657d70ef4fe5b4dfa51b506a8adca16b0ca8a0
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:04 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 7a587391f1b18192731e611ff65d74e414b67d60
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:18 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit fbfb7cb1e77418310e42cf38fc4faa411c103bec
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:17 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 021e9ec8d71ea9de9fa14743792e7528e0417daf
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:38 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 88f5deb277ffdf8253463eb0470f49306ac036de
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:57 2005 +0000

    Another pass at .cvsignores for apps.

commit eab9fb30fe89009f7791f4ab502c89d99cb2b84d
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:49 2005 +0000

    Add/improve .cvsignore files for apps.

commit e35111966e6d66c176ed0955c1c25942c567632b
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Nov 19 07:15:36 2005 +0000

    Update pkgconfig files to separate library build-time dependencies from
        application build-time dependencies, and update package deps to work
        with separate build roots.

commit d90d5ab54582b04ad93e9cf6182652fdd6d3b4a3
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:50 2005 +0000

    Update package version number for RC1 release.

commit 5e79e3663bf5e14c7ae4f97798ee4430a02687f5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:20 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 5ec50a516f66a7a57477dfc1ec51f8215084d29a
Author: Kevin E Martin <kem@kem.org>
Date:   Mon Oct 17 18:08:25 2005 +0000

    Fixed man page processing

commit adbf0a45e0c68512eb46c8bd8e024d5cdfd6b68f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:42 2005 +0000

    Use sed to fill in variables in man page

commit f7e326bd50466f9197e75b2b71ccf0fb1996f4f8
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 5 04:10:02 2005 +0000

    Add check for utmpx.ut_syslen structure member

commit e33c62dfa7641e8e37a2ef64d98aa5171f2ef705
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 5 04:06:35 2005 +0000

    Get sessreg.man from $(srcdir) to fix make distcheck
    Add check for utmpx.ut_syslen structure member

commit af48c05e4b8639935e8e0738dc0269708c2e929c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 3 17:50:57 2005 +0000

    Bug #4678 <https://bugs.freedesktop.org/show_bug.cgi?id=4678> Patch #3472
        <https://bugs.freedesktop.org/attachment.cgi?id=3472> Use SysV-style
        utmp on GNU/kFreeBSD (Robert Millan)

commit 5932bb94ffc5c10ab00831b70e703451acdc76b5
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 3 17:18:44 2005 +0000

    Add AC_SYS_LARGEFILE for systems that need it to access large
        wtmpx/lastlogs Set version string in man page

commit 26e33eae6ff593878b1402ef6d5596dc1f7c7fe3
Author: Kristian Høgsberg <krh@redhat.com>
Date:   Tue Sep 27 18:07:40 2005 +0000

    Add ChangeLog so autogen.sh will run.

commit 95c055a072fe0b7b6e6b50b89c5ff7264b25e1a4
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Thu Aug 18 22:40:09 2005 +0000

    Undo regression in checking for lastlog support in monolithic builds
        (reported by Dan McNichol of IBM)

commit defb333b8190b058a437985bedd4bff90ea2d98c
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Aug 10 21:33:09 2005 +0000

    Merge in utmpx code from Solaris sessreg. Add #ifdefs for autoconf defines.

commit 8cd395d3bd86ba74888b7ea8cec2d0228c00c312
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Aug 10 21:20:03 2005 +0000

    AUTHORS: Copy info from comments in sessreg.c configure.ac: Add checks for
        lastlog.h, utmpx.h, & sys/param.h to replace OS-specific #ifdefs

commit c8bfcd300e8da2510c101211db7bffb2955e593d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Wed Aug 10 20:51:27 2005 +0000

    Add sessreg.man to app/sessreg module

commit a487143d0b4f0183d602346adc7dedcccf158336
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Aug 10 11:17:07 2005 +0000

    Add build system for sessreg, broken out from xdm.

commit e3025b01b3fdd32bde8120dec1b0061e1449c6e9
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Oct 13 22:14:22 2004 +0000

    Bug #1627: Zero out struct utmp before writing it to prevent garbage
        fields. (Egmont Koblinger)

commit 922a3ce29d3fe91f57fd41ea87e0e56b72ee9670
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:42 2004 +0000

    Merging XORG-CURRENT into trunk

commit 67ee3273cd7cc450e73b0f8a9a9178ae67b17ea3
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:35:12 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit aadb852d2af964c29514d9c345ab91f267223754
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:13:00 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 730d1970ee78e5f98452d2b6ef28972678522308
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:17 2004 +0000

    readding XFree86's cvs IDs

commit 90395833b58cf129800f7372d0dd957fbe277afa
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:24:04 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 83d734abd26ba5e3cf8c197de581da2379290860
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 16:49:22 2003 +0000

    XFree86 4.3.0.1

commit 4a979ad921e2733b8e3e178928240cf8a60ad07b
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Nov 14 15:54:53 2003 +0000

    R6.6 is the Xorg base-line
